Snag Docs logo

Get users for a badge

This endpoint allows you to fetch users for a specific badge.

GEThttps://admin.snagsolutions.io/api/loyalty/badge_users

This endpoint allows you to fetch users for a specific badge.

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Query Parameters

loyaltyBadgeIdstring<uuid>required

UUID of the loyalty badge (converted to lowercase)

organizationIdstring<uuid>

UUID of the organization (optional, converted to lowercase)

websiteIdstring<uuid>

UUID of the website (optional, converted to lowercase)

walletAddressstring

Wallet Address of the user, or array of wallet addresses.

status"active" | "inactive" | "revoked"

Status of the badge

Allowed values: "active" | "inactive" | "revoked"
startingAfterstring<uuid>

UUID of the badge to start after (converted to lowercase)

limitinteger

Number of badges to fetch

Required range: x >= 1, x <= 1000

Response

application/json

200

idstring<uuid>required

UUID of the user badge (converted to lowercase)

userIdstring<uuid>required

UUID of the user (converted to lowercase)

loyaltyBadgeIdstring<uuid>required

UUID of the badge (converted to lowercase)

websiteIdstring<uuid>required

UUID of the website (converted to lowercase)

organizationIdstring<uuid>required

UUID of the organization (converted to lowercase)

createdAtstring<date-time>required

The date and time the user badge was created

updatedAtstring<date-time>required

The date and time the user badge was updated

deletedAtstring<date-time>required

The date and time the user badge was deleted

status"active" | "inactive" | "revoked"required

The status of the badge

Allowed values: "active" | "inactive" | "revoked"
progressarray<any>required

Array of progress for the badge

dismissedInUiboolean

Whether the user has dismissed the badge in the UI

userobject

User associated with the user badge

user.walletAddressstringrequired

Wallet address of the user